<minilesson uid="marcupic.diglog.lect.de-02b" version="1" minorVersion="0">
  <about>
    <supportedLanguages>
      <language lang="hr"/>
      <language lang="en"/>
    </supportedLanguages>
    <title>
      <string text="Zaštitno kodiranje: uvodna razmatranja" lang="hr"/>
      <string text="Error coding: introduction" lang="en"/>
    </title>
    <authors>
      <author firstName="Marko" lastName="Čupić" email="Marko.Cupic@fer.hr"/>
    </authors>
    <tags>
      <string text="Digitalna logika" lang="hr" />
      <string text="Digital logic" lang="en" />
      <string text="Zaštitno kodiranje" lang="hr" />
      <string text="Error coding" lang="en" />
    </tags>
  </about>
  <optionKeys>
    <option key="yes"><string text="da" lang="hr"/><string text="yes" lang="en"/></option>
    <option key="no"><string text="ne" lang="hr"/><string text="no" lang="en"/></option>
    <option key="cont"><string text="nastavi" lang="hr"/><string text="continue" lang="en"/></option>
    <option key="ret"><string text="povratak" lang="hr"/><string text="return" lang="en"/></option>
  </optionKeys>
  
  <page id="1">
    <title>
      <string text="Potreba za zaštitnim kodiranjem" lang="hr"/>
      <string text="Need for error detection and correction codes" lang="en"/>
    </title>
    <file name="page1-hr.html" lang="hr" format="html-snippet"/>
    <file name="page1-en.html" lang="en" format="html-snippet"/>
  </page>
  <question id="2" type="static">
    <title>
      <string text="Pitanje" lang="hr"/>
      <string text="Question" lang="en"/>
    </title>
    <optionKeys>
      <option key="yes" inherit="true" />
      <option key="no" inherit="true" />
      <option key="cont" inherit="true" />
      <option key="ret" inherit="true" />
    </optionKeys>
    <views>
      <view name="start" renderPageId="2-1">
        <offer key="yes" action="view:v2"/>
        <offer key="no" action="view:done" completed="true"/>
      </view>
      <view name="done" renderPageId="2-2">
        <offer key="cont" action="next"/>
      </view>
      <view name="v2" renderPageId="2-3">
        <offer key="ret" action="view:start"/>
      </view>
    </views>
    <templates>
      <page id="2-1">
        <file name="question2-1-hr.html" lang="hr" format="html-snippet"/>
        <file name="question2-1-en.html" lang="en" format="html-snippet"/>
      </page>
      <page id="2-2">
        <file name="question2-2-hr.html" lang="hr" format="html-snippet"/>
        <file name="question2-2-en.html" lang="en" format="html-snippet"/>
      </page>
      <page id="2-3">
        <file name="question2-3-hr.html" lang="hr" format="html-snippet"/>
        <file name="question2-3-en.html" lang="en" format="html-snippet"/>
      </page>
    </templates>
  </question>
  <page id="3">
    <title>
      <string text="Zaštitni kodovi" lang="hr"/>
      <string text="Error detection and correction codes" lang="en"/>
    </title>
    <file name="page3-hr.html" lang="hr" format="html-snippet"/>
    <file name="page3-en.html" lang="en" format="html-snippet"/>
  </page>
  <page id="4">
    <title>
      <string text="Nekoliko važnih definicija" lang="hr"/>
      <string text="Some important definitions" lang="en"/>
    </title>
    <file name="page4-hr.html" lang="hr" format="html-snippet"/>
    <file name="page4-en.html" lang="en" format="html-snippet"/>
  </page>
  <question id="5" type="js-custom" handler="question5-main.js">
    <title>
      <string text="Pitanje" lang="hr"/>
      <string text="Question" lang="en"/>
    </title>
    <optionKeys>
      <option key="ret" inherit="true" />
      <option key="cont" inherit="true" />
    </optionKeys>
    <templates>
      <page id="1"><!-- stranica s pitanjem -->
        <file name="question5-1-hr.html" lang="hr" format="html-snippet"/>
        <file name="question5-1-en.html" lang="en" format="html-snippet"/>
      </page>
      <page id="2"><!-- nije dobro odgovorio; jedina moguća akcija: "ret" -->
        <file name="question5-2-hr.html" lang="hr" format="html-snippet"/>
        <file name="question5-2-en.html" lang="en" format="html-snippet"/>
      </page>
      <page id="3"><!-- dobro je odgovorio - rezimira zadatak i rješenje -->
        <file name="question5-3-hr.html" lang="hr" format="html-snippet"/>
        <file name="question5-3-en.html" lang="en" format="html-snippet"/>
      </page>
    </templates>
  </question>
  <question id="6" type="js-custom" handler="question5-main.js">
    <title>
      <string text="Pitanje" lang="hr"/>
      <string text="Question" lang="en"/>
    </title>
    <optionKeys>
      <option key="ret" inherit="true" />
      <option key="cont" inherit="true" />
    </optionKeys>
    <templates>
      <page id="1"><!-- stranica s pitanjem -->
        <file name="question6-1-hr.html" lang="hr" format="html-snippet"/>
        <file name="question6-1-en.html" lang="en" format="html-snippet"/>
      </page>
      <page id="2"><!-- nije dobro odgovorio; jedina moguća akcija: "ret" -->
        <file name="question6-2-hr.html" lang="hr" format="html-snippet"/>
        <file name="question6-2-en.html" lang="en" format="html-snippet"/>
      </page>
      <page id="3"><!-- dobro je odgovorio - rezimira zadatak i rješenje -->
        <file name="question6-3-hr.html" lang="hr" format="html-snippet"/>
        <file name="question6-3-en.html" lang="en" format="html-snippet"/>
      </page>
    </templates>
  </question>
  <question id="7" type="js-custom" handler="question5-main.js">
    <title>
      <string text="Pitanje" lang="hr"/>
      <string text="Question" lang="en"/>
    </title>
    <optionKeys>
      <option key="ret" inherit="true" />
      <option key="cont" inherit="true" />
    </optionKeys>
    <templates>
      <page id="1"><!-- stranica s pitanjem -->
        <file name="question7-1-hr.html" lang="hr" format="html-snippet"/>
        <file name="question7-1-en.html" lang="en" format="html-snippet"/>
      </page>
      <page id="2"><!-- nije dobro odgovorio; jedina moguća akcija: "ret" -->
        <file name="question7-2-hr.html" lang="hr" format="html-snippet"/>
        <file name="question7-2-en.html" lang="en" format="html-snippet"/>
      </page>
      <page id="3"><!-- dobro je odgovorio - rezimira zadatak i rješenje -->
        <file name="question7-3-hr.html" lang="hr" format="html-snippet"/>
        <file name="question7-3-en.html" lang="en" format="html-snippet"/>
      </page>
    </templates>
  </question>
  <page id="8">
    <title>
      <string text="Što zapravo radi zaštitno kodiranje" lang="hr"/>
      <string text="How error detection and correction codes work" lang="en"/>
    </title>
    <file name="page8-hr.html" lang="hr" format="html-snippet"/>
    <file name="page8-en.html" lang="en" format="html-snippet"/>
  </page>
  <question id="9" type="static">
    <title>
      <string text="Pitanje" lang="hr"/>
      <string text="Question" lang="en"/>
    </title>
    <optionKeys>
      <option key="yes" inherit="true" />
      <option key="no" inherit="true" />
      <option key="cont" inherit="true" />
      <option key="ret" inherit="true" />
    </optionKeys>
    <views>
      <view name="start" renderPageId="9-1">
        <offer key="yes" action="view:v2"/>
        <offer key="no" action="view:done" completed="true"/>
      </view>
      <view name="done" renderPageId="9-2">
        <offer key="cont" action="next"/>
      </view>
      <view name="v2" renderPageId="9-3">
        <offer key="ret" action="view:start"/>
      </view>
    </views>
    <templates>
      <page id="9-1">
        <file name="question9-1-hr.html" lang="hr" format="html-snippet"/>
        <file name="question9-1-en.html" lang="en" format="html-snippet"/>
      </page>
      <page id="9-2">
        <file name="question9-2-hr.html" lang="hr" format="html-snippet"/>
        <file name="question9-2-en.html" lang="en" format="html-snippet"/>
      </page>
      <page id="9-3">
        <file name="question9-3-hr.html" lang="hr" format="html-snippet"/>
        <file name="question9-3-en.html" lang="en" format="html-snippet"/>
      </page>
    </templates>
  </question>
  <page id="x">
    <title>
      <string text="Zaštita paritetnim bitom" lang="hr"/>
      <string text="Parity checking" lang="en"/>
    </title>
    <file name="page10-hr.html" lang="hr" format="html-snippet"/>
    <file name="page10-en.html" lang="en" format="html-snippet"/>
  </page>
  <question id="11" type="js-custom" handler="question5-main.js">
    <title>
      <string text="Pitanje" lang="hr"/>
      <string text="Question" lang="en"/>
    </title>
    <optionKeys>
      <option key="ret" inherit="true" />
      <option key="cont" inherit="true" />
    </optionKeys>
    <templates>
      <page id="1"><!-- stranica s pitanjem -->
        <file name="question11-1-hr.html" lang="hr" format="html-snippet"/>
        <file name="question11-1-en.html" lang="en" format="html-snippet"/>
      </page>
      <page id="2"><!-- nije dobro odgovorio; jedina moguća akcija: "ret" -->
        <file name="question11-2-hr.html" lang="hr" format="html-snippet"/>
        <file name="question11-2-en.html" lang="en" format="html-snippet"/>
      </page>
      <page id="3"><!-- dobro je odgovorio - rezimira zadatak i rješenje -->
        <file name="question11-3-hr.html" lang="hr" format="html-snippet"/>
        <file name="question11-3-en.html" lang="en" format="html-snippet"/>
      </page>
    </templates>
  </question>
</minilesson>

